KDE 4.7 PyKDE API Reference

- KDE's Python API

# MarbleRunnerManager Class Reference

`from PyKDE4.marble import *`

Inherits: QObject
Namespace: Marble

## Detailed Description

## Signals

| parsingFinished (Marble.GeoDataDocument document, QString error=QString())
| reverseGeocodingFinished (Marble.GeoDataCoordinates coordinates, Marble.GeoDataPlacemark placemark)
| routeRetrieved (Marble.GeoDataDocument route)
| searchFinished (QString searchTerm)
| searchResultChanged (QAbstractItemModel model)

## Methods

| findPlacemarks (self, QString searchTerm)
| parseFile (self, QString fileName, Marble.DocumentRole role)
| retrieveRoute (self, Marble.RouteRequest request)
| reverseGeocoding (self, Marble.GeoDataCoordinates coordinates)
| setModel (self, Marble.MarbleModel model)

## Signal Documentation

parsingFinished | ( | Marble.GeoDataDocument | document,
|  | QString | error=QString()
| ) |  |  |

The file was parsed and potential error message

Signal syntax:
  `QObject.connect(source, SIGNAL("parsingFinished(Marble::GeoDataDocument*, const QString&)"), target_slot)`

reverseGeocodingFinished | ( | Marble.GeoDataCoordinates | coordinates,
|  | Marble.GeoDataPlacemark | placemark
| ) |  |  |

The reverse geocoding request is finished, the result is stored in the given placemark. This signal is emitted when the first runner found a result, subsequent results are discarded and do not emit further signals. If no result is found, this signal is emitted with an empty (default constructed) placemark.

Signal syntax:
  `QObject.connect(source, SIGNAL("reverseGeocodingFinished(const Marble::GeoDataCoordinates&, const Marble::GeoDataPlacemark&)"), target_slot)`

routeRetrieved | ( | Marble.GeoDataDocument | route
| ) |  |  |

A route was retrieved

Signal syntax:
  `QObject.connect(source, SIGNAL("routeRetrieved(Marble::GeoDataDocument*)"), target_slot)`

searchFinished | ( | QString | searchTerm
| ) |  |  |

The search request for the given search term has finished, i.e. all runners are finished and reported their results via the

See also:
  searchResultChanged signal

Signal syntax:
  `QObject.connect(source, SIGNAL("searchFinished(const QString&)"), target_slot)`

searchResultChanged | ( | QAbstractItemModel | model
| ) |  |  |

Placemarks were added to or removed from the model To do: FIXME: this sounds like a duplication of QAbstractItemModel signals

Signal syntax:
  `QObject.connect(source, SIGNAL("searchResultChanged(QAbstractItemModel*)"), target_slot)`

## Method Documentation

findPlacemarks | ( | self, |
|  | QString | searchTerm
| ) |  |  |

Search for placemarks matching the given search term. Results are returned using the

See also:
  searchResultChanged and the
  See also:
    searchFinished signals

parseFile | ( | self, |
|  | QString | fileName,
|  | Marble.DocumentRole | role
| ) |  |  |

Parse the file using the runners for various formats The result is returned through the

See also:
  parsingFinished signal

retrieveRoute | ( | self, |
|  | Marble.RouteRequest | request
| ) |  |  |

Download routes traversing the stopover points in the given route request Each route found is returned through the

See also:
  routeRetrieved signal

reverseGeocoding | ( | self, |
|  | Marble.GeoDataCoordinates | coordinates
| ) |  |  |

Find the address and other meta information for a given geoposition. The result is returned through the

See also:
  reverseGeocodingFinished signal

setModel | ( | self, |
|  | Marble.MarbleModel | model
| ) |  |  |

Set a pointer to the map instance to be passed to MarbleAbstractRunner instances